import sys,os
sys.path.append(os.path.abspath('../'))

# Import the viiaPackage
from math import pi
from viiapackage import *

# Initiate the session
project = viia_create_project(project_name='exercise-2-model', version_nr=1)

# Load the model in the json that was created with the model script (model sub folder)
project.viia_read_dump('model', False)

# Removing the roof elements
for roof in reversed(project.collections.roofs):
     roof.remove_shape()

# Creating the roof
height = (5.64-0.105)*math.tan(60*pi/180)/2
z_ridge = height + 7.29
x_ridge_1 = 0.105+ height/math.tan(60*pi/180)
x_ridge_2 = 8.51- height/math.tan(60*pi/180)
project.viia_create_hip_roof(
    wall_points=[[[ 8.51, 0.105, 7.29 ],[ 0.105, 0.105, 7.29 ]],[[ 0.105, 5.64, 7.29 ],[ 8.51, 5.64, 7.29 ]]],
    material_equivalent_plate='LIN-HBV-PLANKEN-0.018-0.06-0.135-1.8',
    geometry_equivalent_plate=18,
    ridge=[ [ x_ridge_1, (5.64-0.105)/2, z_ridge ], [ x_ridge_2, (5.64-0.105)/2, z_ridge ]],
    storey_number=3)

# Create the model
project.viia_create_model()
